Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(24)

Issue 2876983002: DevTools: group by frame, not product in the network panel. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 week, 5 days ago by pfeldman
Modified:
1 week, 1 day ago
Reviewers:
dgozman, allada
CC:
chromium-reviews, caseq+blink_chromium.org, lushnikov+blink_chromium.org, pfeldman+blink_chromium.org, apavlov+blink_chromium.org, devtools-reviews_chromium.org, blink-reviews, pfeldman, kozyatinskiy+blink_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

DevTools: group by frame, not product in the network panel. Review-Url: https://codereview.chromium.org/2876983002 Cr-Commit-Position: refs/heads/master@{#471961} Committed: https://chromium.googlesource.com/chromium/src/+/9bb9db9d916f1c395b86844de7893f0c43a00fd1

Patch Set 1 #

Total comments: 7

Patch Set 2 : rebaselined #

Patch Set 3 : rebaselined #

Patch Set 4 : more code removed #

Total comments: 8

Patch Set 5 : review comments #

Unified diffs Side-by-side diffs Delta from patch set Stats (+51 lines, -252 lines) Patch
M third_party/WebKit/Source/devtools/BUILD.gn View 1 2 3 4 1 chunk +0 lines, -1 line 0 comments Download
M third_party/WebKit/Source/devtools/front_end/network/NetworkDataGridNode.js View 1 2 3 4 5 chunks +0 lines, -97 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/network/NetworkFrameGrouper.js View 1 2 3 4 5 chunks +10 lines, -50 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/network/NetworkLogView.js View 1 2 3 4 4 chunks +15 lines, -26 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/network/NetworkLogViewColumns.js View 1 2 5 chunks +1 line, -34 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/network/NetworkPanel.js View 2 chunks +6 lines, -16 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/network/module.json View 1 2 3 4 2 chunks +19 lines, -1 line 0 comments Download
M third_party/WebKit/Source/devtools/front_end/network/networkLogView.css View 1 1 chunk +0 lines, -4 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/network/networkReportProductEntry.css View 1 1 chunk +0 lines, -23 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 19 (8 generated)
pfeldman
1 week, 5 days ago (2017-05-11 23:29:40 UTC) #2
allada
Can we also please add a better description and a screenshot or two? https://codereview.chromium.org/2876983002/diff/1/third_party/WebKit/Source/devtools/front_end/network/NetworkLogViewColumns.js File ...
1 week, 5 days ago (2017-05-11 23:58:37 UTC) #3
pfeldman
https://codereview.chromium.org/2876983002/diff/1/third_party/WebKit/Source/devtools/front_end/network/NetworkLogViewColumns.js File third_party/WebKit/Source/devtools/front_end/network/NetworkLogViewColumns.js (left): https://codereview.chromium.org/2876983002/diff/1/third_party/WebKit/Source/devtools/front_end/network/NetworkLogViewColumns.js#oldcode376 third_party/WebKit/Source/devtools/front_end/network/NetworkLogViewColumns.js:376: columnConfig = this._addCustomHeader(setting.title, columnId); On 2017/05/11 23:58:36, allada wrote: ...
1 week, 4 days ago (2017-05-12 23:16:20 UTC) #4
pfeldman
PTAL
1 week, 4 days ago (2017-05-12 23:52:37 UTC) #6
dgozman
lgtm https://codereview.chromium.org/2876983002/diff/60001/third_party/WebKit/Source/devtools/front_end/network/NetworkFrameGrouper.js File third_party/WebKit/Source/devtools/front_end/network/NetworkFrameGrouper.js (right): https://codereview.chromium.org/2876983002/diff/60001/third_party/WebKit/Source/devtools/front_end/network/NetworkFrameGrouper.js#newcode67 third_party/WebKit/Source/devtools/front_end/network/NetworkFrameGrouper.js:67: return new Common.ParsedURL(this._frame.url).domain() || this._frame.name || '<iframe>'; Check ...
1 week, 4 days ago (2017-05-13 00:32:37 UTC) #7
allada
Update description and title and it's lgtm.
1 week, 4 days ago (2017-05-13 01:10:06 UTC) #8
pfeldman
https://codereview.chromium.org/2876983002/diff/60001/third_party/WebKit/Source/devtools/front_end/network/NetworkFrameGrouper.js File third_party/WebKit/Source/devtools/front_end/network/NetworkFrameGrouper.js (right): https://codereview.chromium.org/2876983002/diff/60001/third_party/WebKit/Source/devtools/front_end/network/NetworkFrameGrouper.js#newcode67 third_party/WebKit/Source/devtools/front_end/network/NetworkFrameGrouper.js:67: return new Common.ParsedURL(this._frame.url).domain() || this._frame.name || '<iframe>'; On 2017/05/13 ...
1 week, 2 days ago (2017-05-15 14:53:03 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2876983002/80001
1 week, 1 day ago (2017-05-15 20:15:37 UTC) #12
commit-bot: I haz the power
Try jobs failed on following builders: ios-simulator on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios-simulator/builds/215293)
1 week, 1 day ago (2017-05-15 21:27:57 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2876983002/80001
1 week, 1 day ago (2017-05-15 21:39:04 UTC) #16
commit-bot: I haz the power
1 week, 1 day ago (2017-05-16 00:53:01 UTC) #19
Message was sent while issue was closed.
Committed patchset #5 (id:80001) as
https://chromium.googlesource.com/chromium/src/+/9bb9db9d916f1c395b86844de789...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06